Bug 1347194 - "Expand All" button is broken in container image compliance history
Summary: "Expand All" button is broken in container image compliance history
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.6.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.7.0
Assignee: Erez Freiberger
QA Contact: Dmitry Misharov
URL:
Whiteboard: container:control:compliance
Depends On:
Blocks: 1349419
TreeView+ depends on / blocked
 
Reported: 2016-06-16 09:33 UTC by Dmitry Misharov
Modified: 2016-07-02 15:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1349419 (view as bug list)
Environment:
Last Closed: 2016-07-02 15:08:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Dmitry Misharov 2016-06-16 09:33:40 UTC
Description of problem:
If you press "Expand All" button in Container Image compliance history you will get an error:"undefined method `name' for nil:NilClass [container_image/squash_toggle]"

Version-Release number of selected component (if applicable):
5.6.0.11-rc2.2.20160614152915_f315c68 

How reproducible:
Always

Steps to Reproduce:
1. Add a container provider.
2. Navigate to Compute->Containers->Container Images.
3. Open any Container Image.
4. Execute "Check Compliance of Last Known Configuration".
5. Click on History row in Compliance table.
6. In Compliance check history click on "Expand All" button.

Actual results:
undefined method `name' for nil:NilClass [container_image/squash_toggle]

Expected results:
Compliance Check tree should expanded.

Comment 2 Erez Freiberger 2016-06-21 08:55:34 UTC
I can see this problem on the darga branch but not on master. I think that this patch: https://github.com/ManageIQ/manageiq/pull/8121 fixes it on master but it is marked darga/no

Comment 3 Federico Simoncelli 2016-06-21 09:40:54 UTC
(In reply to Erez Freiberger from comment #2)
> I can see this problem on the darga branch but not on master. I think that
> this patch: https://github.com/ManageIQ/manageiq/pull/8121 fixes it on
> master but it is marked darga/no

Erez, coordinate with Martin to check if it makes sense to backport that PR, or on the other hand we have to fix the Expand-All on Darga with something specific for that container page.

Comment 5 Erez Freiberger 2016-06-23 13:22:57 UTC
I think we can close it for 5.7 (Assuming the new tree support patch [1] is backported to 5.7)

[1] https://github.com/ManageIQ/manageiq/pull/8121

Comment 6 Federico Simoncelli 2016-07-02 15:08:52 UTC
(In reply to Erez Freiberger from comment #5)
> I think we can close it for 5.7 (Assuming the new tree support patch [1] is
> backported to 5.7)
> 
> [1] https://github.com/ManageIQ/manageiq/pull/8121

No need for any backport, 5.7 will have that PR by definition (will be based on current master).

We'll continue on the clone for 5.6.1, bug #1349419.


Note You need to log in before you can comment on or make changes to this bug.